package com.huatek.busi.mapper;

import com.huatek.busi.entity.*;
import com.huatek.busi.vo.EquipmentOnlineRateVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface GisNumberMapper {

    List<EquipmentNumber> findGisNumber(@Param("siteId") String siteId, @Param("mainEquipmentId") String mainEquipmentId, @Param("dTime") String dTime);

    List<GisStatus> findGisStatus();

    List<GisStatus> findTotalGisList();

    List<EquipmentSumNumber> findGisSumNumber(@Param("dTime") String dTime);

    int findSumNumber(@Param("siteId") String siteId);

    int findFaultNumber(@Param("dTime") String dTime);

    int faultNumber(@Param("tId") String tId);

    List<GisStatus> findAllGisStatus();

    GisIU findIU( @Param("gisId") String gisId);

    TAndTransformerStatus findTransformerStatus(@Param("gisId") String gisId);

    List<EquipmentSensor> findEquipmentVoList();

    List<EquipmentSensorNumber> findEquipment();

    List<EquipmentSensorCache> findSensorCache();

    void updateGisSensor(EquipmentSensorNumber equipmentTemperatureCache);

    void addGisSensor(EquipmentSensorNumber equipmentTemperatureCache);

    List<EquipmentSensorCache> findGisSensor(@Param("mainEquipmentId") String mainEquipmentId);

    EquipmentOnlineRateVo findOnlineRateByCode(@Param("extEquipmentCode") String extEquipmentCode);

    int finSumNumber(String siteId);

    EquipmentSumSensorCache findSumSensorNumber();
}
